[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: sitesummary: fails to install / configure apache



On Sun, Nov 27, 2016 at 08:36:39AM +0100, Petter Reinholdtsen wrote:
> My original patch would enable the cgi module, not the cgi.load module.
> Perhaps it take care of the include and rewrite module too?
 
AFAICT. the trigger code has to be adjusted as well:

diff --git a/debian/sitesummary.postinst b/debian/sitesummary.postinst
index 83eff31..b4e2fe1 100644
--- a/debian/sitesummary.postinst
+++ b/debian/sitesummary.postinst
@@ -77,7 +77,15 @@ case "$1" in
             [ -e /etc/apache2/mods-available/cgi.load ] && \
             [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
             . /usr/share/apache2/apache2-maintscript-helper
-            apache2_invoke enmod cgi.load
+            if ! a2query -qm include; then
+                apache2_invoke enmod include
+            fi
+            if ! a2query -qm rewrite; then
+                apache2_invoke enmod rewrite
+            fi
+            if ! a2query -qm cgi.load; then
+               apache2_invoke enmod cgi.load
+            fi
             apache2_invoke enconf sitesummary.conf
         fi
 
@@ -91,6 +99,8 @@ case "$1" in
 
         if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
             . /usr/share/apache2/apache2-maintscript-helper
+            apache2_invoke enmod include
+            apache2_invoke enmod rewrite
             apache2_invoke enmod cgi.load
             apache2_invoke enconf sitesummary.conf
         fi


Wolfgang


Reply to: